<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :contentNotFound="contentNotFound"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
    </template>
    <template slot="content">
      <gauge-chart :loadingContent="loadingContent" :data="data" />
    </template>
  </d-card>
</template>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
import GaugeChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/nativas/GaugeChart.vue";
export default {
  name: "Component-Odometro",
  components: {
    "d-card": CardChart,
    GaugeChart,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          total: 0,
          color: null,
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType: "image, action",
      loadingContentTypes: {
        actions: "button@2",
      },
    };
  },
};
</script>
